#数据源配置
spring:
  redis:
    host: www.gzzzyd.com
    port: 10896
    database: 10
    ssl: false
    password: 123456789
  datasource:
    url: jdbc:mysql://www.gzzzyd.com:10895/vend?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&serverTimezone=Asia/Shanghai&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
    username: root
    password: root_123
    # PostgreSQL
    #url: jdbc:postgresql://127.0.0.1:5432/bladex_boot
    #username: postgres
    #password: 123456
    # Oracle
    #url: jdbc:oracle:thin:@127.0.0.1:1521:orcl
    #username: BLADEX_BOOT
    #password: BLADEX_BOOT
    # SqlServer
    #url: jdbc:sqlserver://127.0.0.1:1433;DatabaseName=bladex_boot
    #username: bladex_boot
    #password: bladex_boot
  jpa:
    hibernate:
      ddl-auto: none
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    database: mysql
    show-sql: true

#第三方登陆
social:
  enabled: true
  domain: http://127.0.0.1:1888

#blade配置
blade:
  #分布式锁配置
  lock:
    ##是否启用分布式锁
    enabled: false
    ##redis服务地址
    address: redis://127.0.0.1:6379
  #本地文件上传
  file:
    remote-mode: true
    upload-domain: http://localhost:8999
    remote-path: /usr/share/nginx/html

#oss默认配置
oss:
  enabled: true
  name: minio
  tenant-mode: true
  endpoint:  http://47.109.28.56:9000
  access-key: admin
  secret-key: 12345678
  bucket-name: bladex-dev
wxpay:
  fileRootPath: D:\JavaEEProject\vending-machine\cert\
  v3:
    appId:
    appIdxcx: wxb36cbb868a7d2d68
    appSecretxcx: cf59d9b3f9030b9c601d29f2c957f70e
    keyPath: ${wxpay.fileRootPath}apiclient_key.pem
    certPath: ${wxpay.fileRootPath}apiclient_cert.pem
    certP12Path: ${wxpay.fileRootPath}apiclient_cert.p12
    platformCertPath: ${wxpay.fileRootPath}wx_cert.pem
    mchId: 1682199743
    apiKey3: eccd49c1e92640f0a127e74518cc5f25
    apiKey: 30dffa037fe542df90bd71ca66088690
    domain: http://u2mu3zixu5wm.ngrok.xiaomiqiu123.top/


apk:
  savePath: /Users/pangqijun/Downloads/store/
  downloadUrl: http://www.gzzhsckj.com/download/
  logPath: /Users/pangqijun/Downloads/store/apklog/

captcha:
  length: 1

qrCode:
  domainUrl: "https://sellwine.gzzzyd.com"
